package org.xbib.metrics.api;

import java.util.Map;

/**
 * A set of named metrics.
 */
@FunctionalInterface
public interface MetricSet extends Metric {
    /**
     * A map of metric names to metrics.
     *
     * @return the metrics
     */
    Map<MetricName, Metric> getMetrics();
}
