package org.xbib.metrics.api;

/**
 * An interface for how time passes.
 */
public interface Clock {

    /**
     * Returns the current time tick.
     *
     * @return time tick in nanoseconds
     */
    long getTick();

    /**
     * Returns the current time in milliseconds.
     *
     * @return time in milliseconds
     */
    long getTime();
}
