package org.xbib.metrics.api;

/**
 * An object which samples values.
 */
@FunctionalInterface
public interface Sampling {
    /**
     * Returns a snapshot of the values.
     *
     * @return a snapshot of the values
     */
    Snapshot getSnapshot();
}
